%% SiSU version 5
  <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=summary>
  <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=blob;f=data/doc/sisu/CHANGELOG_v5;hb=HEAD>
* debian/changelog
  <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=blob_plain;f=debian/changelog;hb=refs/heads/debian/sid>

v5 stable branch (v6 development branch)
   markup rule change, document structure rule introduced:
   [v5 branch to become stable shortly, posted with 5.2.3, 2014-01-20]
   * single document root == document title == heading level A~
   * adds possible level D~
   (from 5.2 on (earlier v5 development branch insulated from v4))
v4 stable branch supersedes & replaces v3 branch
   [v4 branch closure imminent, v5 to become stable, posted with 4.2.20,
   2014-01-20]
   initial goals:
   * remove/retire "skins"; replace some functionality with headers and/or yml
     file (consider header like syntax for document and site appearance info)
   * bin/sisu $0 make possible to run sisu command on/within project dir tree
   * bin/sisu $*, hub, make possible to specify dir path for markup files
v3 branch is removed; it is available in sisu < 4.1.0
v2 branch is removed; it is available in sisu =< 3.3.2

* homepage at: <http://www.jus.uio.no/sisu>
* <http://www.jus.uio.no/sisu/SiSU/download>
* <http://www.jus.uio.no/sisu/SiSU/changelog>
* <http://sisudoc.org/sisu/sisu_manual>
* data/doc/sisu/sisu_markup_samples/sisu_manual/sisu_manual.ssm
* data/doc/sisu/sisu_markup_samples/sisu_manual/sisu_download.ssi
* CHANGELOG CHANGELOG_v2 CHANGELOG_v3 README data/doc/sisu/

%% Reverse Chronological:

%% 5.6.7.orig.tar.xz (2014-09-19:37/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.6.7
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.6.7-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.6.7.orig.tar.xz
  sisu_5.6.7.orig.tar.xz
  sisu_5.6.7-1.dsc

* vim syntax, sisu.vim, update git url and email address

* update urls to git repo

%% 5.6.6.orig.tar.xz (2014-09-12:36/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.6.6
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.6.6-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.6.6.orig.tar.xz
  sisu_5.6.6.orig.tar.xz
  sisu_5.6.6-1.dsc

* ao, auto naming (segment & tag), exceptions, avoidance of name collisions

* ao, feedback on markup document structure (heading level) errors
  adjustment to (existing) provided feedback, based on:
   * level A~ title, required;
   * levels B~ C~ D~ optional sequential document divider headings
     (Part, Section etc. equivalent);
   * level 1~ required, heading level preceding substantive text; followed by
   * levels 2~ 3~ 4~ optional, sequential headings
     (1.1, 1.1.1, 1.1.1.1 equivalents)

* ao, expansion of links to internal filepaths (re: syntax based shortcut)
  (expansion of sisu output filepaths, sync with use of --act0 to --act9)

* se, processing, adjustments to default settings for --act0 to --act9

* se, env, lingual: mono / multi, rc settings

* sisurc, update samples
  * adjustments to default settings for --act0 to --act9 (to match current "se")
  * removed sisurc examples to organize output by
    filetype, filename, monolingual, as one word diff
    output_dir_structure_by: language
    # (language|filetype|(filetype_mono|monolingual)|filename|filename_mono)
    # language
    #   (language and filetype directories);
    # filetype
    #   (filetype directories, filename includes language code);
    # filetype_mono (or monolingual)
    #   (filetype drectories, no language codes in filenames)
    # filename
    #   (directory output similar to v1 v2, filename includes language code);
    # filename_mono
    #   (directory output similar to v1 v2, filename without language code);

* hub, /tmp processing directory checks

%% 5.6.5.orig.tar.xz (2014-09-05:35/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.6.5
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.6.5-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.6.5.orig.tar.xz
  sisu_5.6.5.orig.tar.xz
  sisu_5.6.5-1.dsc

* ao_doc_str, if faulty document structure, stop; if --no-stop option, skip
  processing document

* ao_numbering, provide more information on duplicate numbering before stop

* html navigation, enable turn off (nav buttons on remaining html segments)

* (for html) set default to navigation bar off

* xml xhtml outputs, &amp; issues

* shared_metadata, requires xml_shared

* link/path fixes,
  * manifest, link where no "document harvest"
  * html, home button links url (remove slash)
  * harvest_authors, by_filetype, manifest path

%% 5.6.4.orig.tar.xz (2014-09-01:35/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.6.4
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.6.4-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.6.4.orig.tar.xz
  sisu_5.6.4.orig.tar.xz
  sisu_5.6.4-1.dsc

* cgi_sqlite, allow expansion of variable (default db name), double quotes, fix

%% 5.6.3.orig.tar.xz (2014-08-29:34/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.6.3
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.6.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.6.3.orig.tar.xz
  sisu_5.6.3.orig.tar.xz
  sisu_5.6.3-1.dsc

* hub, sisu version info, when & what to report

* dp, texpdf, copyright_and_license, minor fix, used by texpdf

%% 5.6.2.orig.tar.xz (2014-08-20:33/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.6.2
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.6.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.6.2.orig.tar.xz
  sisu_5.6.2.orig.tar.xz
  sisu_5.6.2-1.dsc

* hub_options, introduce "error override" --no-stop or --errors-as-warnings flag
* start making use of --no-stop command

* ao
  * book index related
  * ao_expand_insertions, blocked text match, adjust


* texpdf, output, copyright & license

* syntax hilighting, restrict heading matches, minor
  * vim
  * emacs

%% 5.6.1.orig.tar.xz (2014-08-12:32/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.6.1
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.6.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.6.1.orig.tar.xz
  sisu_5.6.1.orig.tar.xz
  sisu_5.6.1-1.dsc

* hub, organization & loose ends
  * tweak triggers
  * split file further
  * remove mod

* webrick, wb.cgi fixed and omitted (use discarded)

%% 5.6.0.orig.tar.xz (2014-08-08:31/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.6.0
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.6.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.6.0.orig.tar.xz
  sisu_5.6.0.orig.tar.xz
  sisu_5.6.0-1.dsc

* merged v6 (6.2.0)
  * some file renames, fairly extensive
  * commandline, --act0 to --act9 & rc-config with act instead of roman numeral
    * configurable command line options increased to 0 - 9 (instead of 0 - 5)
    * use --act0 to --act9
    * default --act0
    * rc config with flag:act0 to flag:act9
    * legacy roman numeral configuration works (for now)
  * internally use opt.act (simplify, cleaner, instead of opt.cmd & opt.mod, now
    removed)

* extend document structure, headings A - D, 1 - 4
  * sql db table structure changed (needs to be rebuilt)

%% 5.5.6.orig.tar.xz (2014-08-08:31/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.5.6
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.5.6-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.5.6.orig.tar.xz
  sisu_5.5.6.orig.tar.xz
  sisu_5.5.6-1.dsc

* remains as 5.5.5 changes for easier comparison with v6
  * file renames
  * dp, indentation changed

%% 5.5.5.orig.tar.xz (2014-07-29:30/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.5.5
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.5.5-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.5.5.orig.tar.xz
  sisu_5.5.5.orig.tar.xz
  sisu_5.5.5-1.dsc

* ensure reset of parsed document directory path
  * needed in the case of html for some subsequent processing

%% 5.5.4.orig.tar.xz (2014-07-24:29/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.5.4
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.5.4-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.5.4.orig.tar.xz
  sisu_5.5.4.orig.tar.xz
  sisu_5.5.4-1.dsc

* ao_numbering, auto name segment, tweak to make behave as intended
  (further testing required)

%% 5.5.3.orig.tar.xz (2014-07-23:29/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.5.3
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.5.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.5.3.orig.tar.xz
  sisu_5.5.3.orig.tar.xz
  sisu_5.5.3-1.dsc

* db, rescue where no tables attempt to initialize db and retry
  (catch db message where no tables and attempt to initialize database)
  * internally run the equivalent of --createall
  * (if successful) permitting completion of --import or --update command
  * make use of action triggers

%% 5.5.2.orig.tar.xz (2014-07-22:29/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.5.2
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.5.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.5.2.orig.tar.xz
  sisu_5.5.2.orig.tar.xz
  sisu_5.5.2-1.dsc

* bin/sisu, hub, hub close (ensure), remove /tmp/ processing dir

* html_lite_shared, issue fix

* options, sisupod parsing fix

* db, reorganize action triggers

* db pg import, fix
  * remove dbi from rescue, no longer using ruby-dbi
  * ruby-pg query SELECT MAX

* sysenv,
  * break up file, multiple se_* files
  * revert to use of stub_pwd (instead of new base_markup_dir_stub introduced in
    5.5.1) to bring back correct hub (post) processing behavior
  * processing shortcuts, options, adjust (refinement necessary)

%% 5.5.1.orig.tar.xz (2014-07-15:28/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.5.1
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.5.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.5.1.orig.tar.xz
  sisu_5.5.1.orig.tar.xz
  sisu_5.5.1-1.dsc

* bin/sisu, hub, options, message pass sisu_called_from_directory

* sysenv, general, base_markup_dir_stub (replace pwd_stub)

* ao_numbering, auto name segment, extract "number" from heading, refine

* src, sisupod, bring back in line

* docbook,
  * code & other block markup
  * url links, urls
  * images, an adjustment
  * css (needs work)
  * document header, sisu processing info
  * docbook status, under construction notice removed (still much to do)

* general, document parts
  * css
  * base images
  * document images

%% 5.5.0.orig.tar.xz (2014-07-11:27/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.5.0
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.5.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.5.0.orig.tar.xz
  sisu_5.5.0.orig.tar.xz
  sisu_5.5.0-1.dsc

* ao_numbering,
  * auto name segment, extract "number" from heading, fix
  * check that all auto given number based seg names are unique

* ao_composite, nested includes, .ssi (insert) can include .ssi & .sst
~ .ssm can contain/include .sst or .ssi
  .sst files can be processed independently, they do not contain other files
  .ssi files have been only insertions of text & are not processed independently
  but as part of an ssm
  change proposed:
  .ssm unchanged,
  .sst unchanged,
  .ssi as before, but can include .sst or .ssi, so:
  files are only insertions & are not processed independently but as part of an
  .ssm or another .ssi
  i.e. as before with the addition that it like a .ssm can contain/include
  .sst or .ssi
~ requested feature, (Closes: #744408)
  User beware. In previous versions there has been a deliberate attempt to keep
  it easy to follow documents & not have to dig through different levels of
  includes, as this is more likely to lead to errors in markup.
  The idea of nested includes has not been attractive (messy for a document),
  however, this is now made possible, use with care
  ~ it is not as easy to see document structure at a glance, and structural
    errors may be introduced and will need to be taken care of (requiring
    document markup debugging)
  ~ allowing .ssi to also include other .ssi or .sst could lead to infinite
    recursion if an .ssi includes another which includes itself; stopping after
    an additional level of includes seems arbitrary, and possibly prone to error
    if you are dealing with many documents
~ requires testing
~ version bump, new behavior added to .ssi one of the 3 sisu filetypes

* src, sisupod composite source, nested includes
  follow rules for ao_composite (described above)

%% 5.4.5.orig.tar.xz (2014-07-07:27/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.4.5
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.4.5-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.4.5.orig.tar.xz
  sisu_5.4.5.orig.tar.xz
  sisu_5.4.5-1.dsc

* bin/sisu,
  * processing dir related
    e.g. using live-manual/manual as sample, the following should work as
    expected, available: ca de en es fr it ja pl pt_BR ro; select: en & ja:
      sisu --html -v en/live-manual.ssm ja/live-manual.ssm
    or for all available translations:
      sisu --html -v **/live-manual.ssm
    (these previously would have broken after processing the first directory)
    sisu command equivalent for all available translations being (unaffected):
      sisu --html -v --glob live-manual
  * some cosmetic long line breaking

* ao, auto seg naming, adjustments,
  re: seg numbering, fixed width, leading zeros (introduced: 5.4.3 / 6.0.9)

%% 5.4.4.orig.tar.xz (2014-07-04:26/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.4.4
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.4.4-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.4.4.orig.tar.xz
  sisu_5.4.4.orig.tar.xz
  sisu_5.4.4-1.dsc

* ao, fix, re seg numbering, fixed width, leading zeros
  (introduced: 5.4.3 / 6.0.9)
  provisional fix (check related issues against 5.4.2 / 6.0.8)

%% 5.4.3.orig.tar.xz (2014-07-01:26/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.4.3
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.4.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.4.3.orig.tar.xz
  sisu_5.4.3.orig.tar.xz
  sisu_5.4.3-1.dsc

* ao,
  * code cosmetic rearrangement
  * book index, strip white spaces around terms
    (fix uppercase first character where spaces used)
  * quote block, insert text indent markup, exclude book index
  * doc objects, layout group open & close identify is_for
  * segment numbering, fixed width, leading zeros (for alphanumeric sorting)

* code cosmetic rearrangement
  * ao*, param, hub, options, composite

* sysenv, developer _CONSTRUCTION_ZONE warning modified

* merge what was sisu_6.0.8 into v5
  * ao,
    * syntax, able optionally to indicate the language syntax of a code block
    * syntax, introduce box text block/group
    * syntax, introduce tics quotes markup (blockquote equivalent)
  * docbook,
    * ocn & footnote numbers (as xml comments)
    * metadata header (docinfo)
    * quotes (blockquote)
    * tables
    * images
    * code block
  * vim syntax, add
    * code block, language syntax, optional
    * box block
    * quote block

* epub, a fix, double check

%% 5.4.2.orig.tar.xz (2014-06-22:24/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.4.2
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.4.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.4.2.orig.tar.xz
  sisu_5.4.2.orig.tar.xz
  sisu_5.4.2-1.dsc

* ao, fix bug in previous version (5.4.1) from sloppy cherry pick of v6
  ao_doc_str (codeblock)

%% 5.4.1.orig.tar.xz (2014-06-19:24/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.4.1
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.4.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.4.1.orig.tar.xz
  sisu_5.4.1.orig.tar.xz
  sisu_5.4.1-1.dsc

* ao,
  * regex match for tics "```" followed by space tweaked
  * Symbol to match grouped text open & close (instead of String)
  * introduce way of removing unrecognized tic markers
  * turn id numbers (for tags) into a hash
  * code blocks, clean trailing newlines
  * misc, minorish

%% 5.4.0.orig.tar.xz (2014-05-25:20/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.4.0
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.4.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.4.0.orig.tar.xz
  sisu_5.4.0.orig.tar.xz
  sisu_5.4.0-1.dsc

* v5: merge v6 to v5, version bump to 5.4.*, reason adds structure check
  * ao, document structure check, stop processing on major error
    (with error message & text at location of failure)
    [reason for version bump the addition of structure check]
  * utils, add ok code marker
  * ao, heading with no ocn, distinguish ~# from -#
    * ~# is general & means no ocn (for any object to which it is applied)
    * -# is relevant only for 1~ dummy headings & instructs that they should be
      removed from output where possible
    * applied so far to pdf, odt & plaintext
  * ao_images, reduce warnings when ruby RMagic absent as program used directly
    * reduced dependency on ruby RMagic library (as some time way back had
      issues)
  * ao, document markup structure check, skip processing file on major error
    * with error message & text at location of failure
  * texpdf, urls in creator cause breakage
  * texpdf, mailto markup links set for normal text objects
  * texpdf, '&' in heading breaks toc (now removed from toc (not heading)), bug
    * revisit, bug
  * texpdf, for urls switch to sans serif (small fontsize)
    * instead of typewriter, latex default
  * texpdf, pdf colored hyperlinks configurable
    * --pdf-hyperlinks-color
      --pdf-hyperlinks-no-color or --pdf-hyperlinks-monochrome
    * ['default']['pdf_hyperlinks']='color'
      (other options switch hyperlink color off 'no-color' 'color-off'
      'monochrome')
  * texpdf, pdf default font size configurable (cli & sisurc.yml) (no fractions)
    * --pdf-fontsize-12 --pdf-fontsize-8
    * default:
      texpdf_fontsize: 12
  * texpdf, headings and table of contents representation
    * fixes 1~ and 2~ result in the same formatting
      1~ 2~ & 3~ now differentiated, see discussion in sisu.org under #744383
    * fixes :A smaller formatted than :B
      A~ B~ C~ now the same size, see discussion in sisu.org under #744383
    * :B and :C result in the same formatting, issue explained see sisu.org
  * texpdf, (internal coding) fontface, rename texpdf_font texpdf_fontface
  * texpdf, (internal coding) use symbols to identify page orientation
  * param, metadata rights, line-breaks instead of semicolons separating rights
    * fixes remove trailing semicolon after :copyright:
  * digests sha512 option implemented
    * options sha512 sha256 md5
    * command line --sha512
    * rcconf.yml ['defsault']['digest'] = sha512
  * xml object citation numbering (docbook fictionbook)

%% 5.3.6.orig.tar.xz (2014-05-18:19/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.3.6
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.3.6-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.3.6.orig.tar.xz
  sisu_5.3.6.orig.tar.xz
  sisu_5.3.6-1.dsc

* db,
  * use symbols to identify sql engine
  * remove require 'dbi' (ruby-dbi)
  * for pg: require 'pg' (use ruby-pg directly)
  * for sqlite: require 'sqlite3' (use ruby-sqlite3 directly) [already the case]

* cgi, sample search form generator
  * remove require 'dbi' (ruby-dbi)
  * for pg: require 'pg' (use ruby-pg directly)
  * for sqlite: require 'sqlite3' (use ruby-sqlite3 directly)

%% 5.3.5.orig.tar.xz (2014-05-12:19/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.3.5
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.3.5-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.3.5.orig.tar.xz
  sisu_5.3.5.orig.tar.xz
  sisu_5.3.5-1.dsc

* sisu, ensure return to start dir

* ao_syntax, address possible manual use of url delimiters「」

* composite, fix includes, provide extra newline after inserted comment
  (Closes: #744360) "includes do not work properly"

* composite (inserts), missing includes doesn't give an error, fix
  (Closes: #744379) see sisu.org for comment

* param, metadata add 'Copyright:' tag to output related to copyright
  (Closes: #744381) syntax: inconsistency \:copyright: and \:license:

* metadata, pdf, remove link to manifest page where --no-manifest is used
  (Closes: #744378)

* constants, db table sizes synced with v6, not needed by v5 but keeps tables
  compatible

* digests, cleaning

* added sisu.org emacs:evil:org mode notes related to sisu development

%% 5.3.4.orig.tar.xz (2014-02-14:06/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.3.4
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.3.4-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.3.4.orig.tar.xz
  sisu_5.3.4.orig.tar.xz
  sisu_5.3.4-1.dsc

* ocn, object citation numbering
  * add perhaps less cryptic --numbering --no-numbering command-line options
  * plaintext & odt switch default to ocn==true for consistency

%% 5.3.3.orig.tar.xz (2014-02-08:05/6)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.3.3
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.3.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.3.3.orig.tar.xz
  sisu_5.3.3.orig.tar.xz
  sisu_5.3.3-1.dsc

* cgi, search form (generator), using cgi ENV variables

* examples
  * nginx conf
  * cgi search forms pgsql & sqlite

* documentation, minor update

%% 5.3.2.orig.tar.xz (2014-02-05:05/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.3.2
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.3.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.3.2.orig.tar.xz
  sisu_5.3.2.orig.tar.xz
  sisu_5.3.2-1.dsc

* ao, html book index linking, follow --strict option

* utils, code markers & messages, notes/warning/errors, fix

* sysenv, concordance redirected paths, watch

* manual Rakefile, README & minor config adjustment

%% 5.3.1.orig.tar.xz (2014-02-05:05/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.3.1
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.3.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.3.1.orig.tar.xz
  sisu_5.3.1.orig.tar.xz
  sisu_5.3.1-1.dsc

* ao, document tags

* options
  * --strict html option
  * ocn switch on/off instructions (& defaults for plaintext & odt)

* html cleaning
  * --strict html option
    (various changes, e.g. ocn [url]#37 only available as [url]#o37)
  * tags
  * endnote name and nameref (make compliant)

* epub
  * use same endnote name and nameref as introduced here for html
  * hash digests used only if availabile (availability check)

* ocn turn on/off rules
  * txt
  * odt

* cgi (pgsql, sqlite) fixes

* error/warn messages, including wrappers round require

* documentation, manpage README etc.
  * sisu manual directory moved
  * sisu manual updated
    * README & sisu.1 (manpage) updated
  * removed html man pages (man2html)

%% 5.3.0.orig.tar.xz (2014-01-26:03/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.3.0
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.3.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.3.0.orig.tar.xz
  sisu_5.3.0.orig.tar.xz
  sisu_5.3.0-1.dsc

* v5 stable branch
  * v4 branch closed -(>4.2.20)-
  * v5 stable branch (>=5.3.0)
  * v6 development branch opened (copy v5) (>=6.0.0)

%% 5.2.4.orig.tar.xz (2014-01-26:03/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.2.4
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.2.4-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.2.4.orig.tar.xz
  sisu_5.2.4.orig.tar.xz
  sisu_5.2.4-1.dsc

* bin/sisu changes to simplify switching to new stable and development branches

%% 5.2.3.orig.tar.xz (2014-01-20:03/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.2.3
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.2.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.2.3.orig.tar.xz
  sisu_5.2.3.orig.tar.xz
  sisu_5.2.3-1.dsc

[good time to consider rollover: closing v4 branch, replacing it with v5 &
introducing v6 for development, proposed for this release + 1]

* bin/sisu & some related lib changes

* sysenv for texpdf, fix for when tex to pdf generator is absent

%% 5.2.2.orig.tar.xz (2014-01-17:02/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.2.2
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.2.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.2.2.orig.tar.xz
  sisu_5.2.2.orig.tar.xz
  sisu_5.2.2-1.dsc

* bin/sisu experimentation
  * start preparing for ruby changes
  * work on fix for bug related to gem path & system installed sisu

%% 5.2.1.orig.tar.xz (2014-01-12:01/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.2.1
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.2.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.2.1.orig.tar.xz
  sisu_5.2.1.orig.tar.xz
  sisu_5.2.1-1.dsc

* ao, add counter for various grouped / blocked texts & tables, of particular
  use for poems which are broken into verse

* recalibrate headings, downstream code fixes

* texinfo, fixes

* texpdf, report on pdf output, provide a working link to a generated file-size
  (multiple document file-sizes may be produced)

* asciidoc, file extension (for now .ad), inline footnotes, minor

%% 5.2.0.orig.tar.xz (2014-01-06:01/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.2.0
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.2.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.2.0.orig.tar.xz
  sisu_5.2.0.orig.tar.xz
  sisu_5.2.0-1.dsc

* single document root A~ (recalibrate headings); level D~ possible
  * :A~ document title, single document root (ln==0)
  * introduce additional possible heading level, D~
  * markup rule change: single document root
  * breaks much downstream code, recalibrate (fix, test, fix & test again)
    * heading recalibration, code (downstream) changes
  * v4 & v5 bifurcate (diverge "un-merge-ably")

  Notes, rule imposed: heading level A~ becomes, document title & sole document
  root. Significant as an expressed rule/principle, it simplifies making certain
  document formats in particular some xml outputs, however, this has been pretty
  much the case in practice (most documents have this implicit structure) and
  will affect the markup of very few documents (for example all markup examples
  so far provided are this way). This being the case, it is a subtle change,
  because it will not be noticed (by the user) in a majority of cases. The most
  significant changes are to internal sisu code: it is not yet enforced by the
  software (software checks); it has implications for the way document output is
  created; it has implications for document structure regex matches, that now
  are attached to levels starting below level A~ (from B~ down) rather than
  level A. One document affected by single root/title level A~ markup rule and
  that provides a short test (for a document prepared using document structure
  regex matches), is the U.N. Convention on Contracts for the International Sale
  of Goods (CISG) that requires levels A-D & 1, and in previous versions of sisu
  exceptionally required multiple level A's (using levels A-C & 1)

* vim syntax, updated to allow for possible level D~

* bin/sisu
  * (ensure SiSU_version_dir) fix
  * sisu version info, yml info also when installed via ruby gem
  * downstream libs

* fixes
  * ao_doc_str, nodes, possible parents, correction
  * epub, url closure decoration
  * sysenv, qrcode report absent program, minor
  * html scroll toc, clean links where none, exclude metadata

* asciidoc, rename AsciiDoc module, & recalibrate headings

* docbook, fictionbook, some tidying

* cosmetic, code case statement

* year updated, code headers

%% 5.1.3.orig.tar.xz (2013-12-15:49/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.1.3
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.1.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.1.3.orig.tar.xz
  sisu_5.1.3.orig.tar.xz
  sisu_5.1.3-1.dsc

* Rakefile, (installer), reduce actions

%% 5.1.2.orig.tar.xz (2013-12-09:49/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.1.2
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.1.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.1.2.orig.tar.xz
  sisu_5.1.2.orig.tar.xz
  sisu_5.1.2-1.dsc

* Rakefile, (installer) improve, re-arrange

* docbook, structure, a fix
  (construction zone: structure okish; docbook generated not usable)

[NOTE disk crash (2013-12-05), fairly good but incomplete backup affecting work]

%% 5.1.1.orig.tar.xz (2013-12-03:48/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.1.1
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.1.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.1.1.orig.tar.xz
  sisu_5.1.1.orig.tar.xz
  sisu_5.1.1-1.dsc

* rake create build & install sisu gemspec; (.gitignore), work on
  * gemspec adjusted to install only libraries related to a version (v4 or v5)
  * select sisu version to create, build & install

* bin/sisu, simplify in relation to sisu gem

%% 5.1.0.orig.tar.xz (2013-12-02:48/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.1.0
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.1.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.1.0.orig.tar.xz
  sisu_5.1.0.orig.tar.xz
  sisu_5.1.0-1.dsc

* ao_doc_str, changes related to headings provided for document structure
  without ocn, testing required

* ao endnotes, removed a space that should no longer be necessary,
  testing required

* minor code related to line breaks, various locations

* renaming of modules
  * use AO instead of DAL

* renaming of files
  * ao*.rb instead of dal*.rb
    ao (abstract objects) shorter, also easily searched, higher sort location
    abstract as representation of & extraction of document objects
    (dal (document abstraction layer))
  * shared files e.g. shared_xml becomes xml_shared
  * plaintext becomes txt_plain
  * epub becomes xhtml_epub2
  * odf becomes xml_odf_odt
  * xml sax file renamed xml_sax.rb (from xml.rb)

* new outputs under development, CONSTRUCTION_ZONE
  * plaintext, smarttext
    * textile
    * asciidoc
    * markdown
    * rst
  * xml
    * docbook, book
    * fictionbook

* sisu.gemspec

* xmlns xlink using xl

* rake create build & install sisu gemspec; bin/sisugem (add .gitignore)
  * rake gemcbi #(create build install sisu gem)
  * rake gemspecscreate && \
    rake gembuild && \
    sudo rake geminstall
  * rake gemspecscreate && \
    gem build sisu5.gemspec && \
    sudo gem install --no-rdoc --no-ri \
    sisu-5.1.0.gem
  * bin/sisu updated (modified to take account of gems)
  * bin/sisugem added
  * .gitignore sisu-*.gem sisu*.gemspec
    consider inclusion (& tracking) of rake created sisu4.gemspec sisu5.gemspec
    (as this makes their availability more obvious)
  * once gem is installed: "sisu _5.1.0_ -vM" (to see version, commands
    otherwise as usual) if paths are such that sisu is not available
    "sisugem _5.1.0_ -vM" should work (as it is installed by gemspec, but not
    other sisu installers)

* hub, sisu5 -M (maintenance mode) provide info as to path to hub.rb (i.e. where
  library is being drawn)

* documentation related to commands for new outputs in development

%% 5.0.25.orig.tar.xz (2013-11-08:44/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.25
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.25-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.25.orig.tar.xz
  sisu_5.0.25.orig.tar.xz
  sisu_5.0.25-1.dsc

* rake (& rant) sisu installer
  * do less by default
  * removed rant generated sisu-install

* vim, ftplugin sisu.vim, fix missing <leader>

* sisu_manual, minor info addition

* bin/sisu-*
  * use option flag full names
  * add sisu-html-scroll, sisu-html-seg, sisu-pdf-portrait, sisu-pdf-landscape

%% 5.0.24.orig.tar.xz (2013-11-05:44/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.24
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.24-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.24.orig.tar.xz
  sisu_5.0.24.orig.tar.xz
  sisu_5.0.24-1.dsc

* xml, scaffold, re-activated, split into sisu structure & collapsed structure

%% 5.0.23.orig.tar.xz (2013-11-02:43/6)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.23
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.23-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.23.orig.tar.xz
  sisu_5.0.23.orig.tar.xz
  sisu_5.0.23-1.dsc

* constants, ocn output delimiter (where used) changed to 「...」
  (from square brackets [...])

* plaintext
  * reorganize

%% 5.0.22.orig.tar.xz (2013-10-27:42/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.22
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.22-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.22.orig.tar.xz
  sisu_5.0.22.orig.tar.xz
  sisu_5.0.22-1.dsc

* dal, document_structure_check_info

%% 5.0.21.orig.tar.xz (2013-10-23:42/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.21
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.21-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.21.orig.tar.xz
  sisu_5.0.21.orig.tar.xz
  sisu_5.0.21-1.dsc

* options & downstream, more use of opt.act.*.set==:on instead of opt.cmd =~/\S/

* dal, parent & node info, fix
  (used e.g. for mind map type output (last for kdissert output, no longer
  supported))

* dal, collapsed levels implemented
  convenience, collapse sisu's dual level document structure for output of
  markup with straight linear structure

%% 5.0.20.orig.tar.xz (2013-10-17:41/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.20
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.20-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.20.orig.tar.xz
  sisu_5.0.20.orig.tar.xz
  sisu_5.0.20-1.dsc

* constants, change a couple of internal processing delimiter characters, that
  might be used in ordinary marked up text (to characters even less likely to be
  of use in ordinary (marked up) text)

%% 5.0.19.orig.tar.xz (2013-10-16:41/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.19
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.19-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.19.orig.tar.xz
  sisu_5.0.19.orig.tar.xz
  sisu_5.0.19-1.dsc

* constants, change a couple of internal processing delimiter characters, that
  might be used in ordinary marked up text

* vim, minor updates, not syntax related

* markup sample, update book index markup, appearance, minor

%% 5.0.18.orig.tar.xz (2013-09-22:37/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.18
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.18-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.18.orig.tar.xz
  sisu_5.0.18.orig.tar.xz
  sisu_5.0.18-1.dsc

* bin/sisu update language list ja ko zh, fix

%% 5.0.17.orig.tar.xz (2013-09-21:37/6)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.17
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.17-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.17.orig.tar.xz
  sisu_5.0.17.orig.tar.xz
  sisu_5.0.17-1.dsc

* i18n CJK: zh ja ko, add languages Chinese, Japanese, Korean
  * texpdf, has large texlive xetex dependencies (Korean untested)
  * [concordance, untouched does nothing cjk, decide whether to disable]

* sisu_manual, (in markup-samples) move to en/ sub-dir (permitting translations)
  * use of language sub-dir for source sisu markup suited to permitting
    translation management by po4a
  * sisurc.yml minor
  * Rakefile to help place sisu markup in a source language directory under po4a
    management

* Rakefile to assist in placing sisu markup under po4a management (sisu_manual)
  * Provided as an example with sisu_manual
  * fairly generic, but potentially dangerous, can be used to place sisu markup
    source translations under po4a management, but user needs to know what this
    is, (and how to set it up, hence sisu_manual as an example (despite the lack
    of translations)) as can clobber/destroy files that are not managed by po4a.

* minor cleaning

%% 5.0.16.orig.tar.xz (2013-09-07:35/6)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.16
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.16-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.16.orig.tar.xz
  sisu_5.0.16.orig.tar.xz
  sisu_5.0.16-1.dsc

* dal, book index, hash key, strip whitespace, a (required) fix

* db, book index, convert hash back to string

%% 5.0.15.orig.tar.xz (2013-09-05:35/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.15
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.15-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.15.orig.tar.xz
  sisu_5.0.15.orig.tar.xz
  sisu_5.0.15-1.dsc

* dal, objects, store book index as hash (simplify downstream processing)

* dal, book index markup, allow spaces on both sides of delimiters, or a space
  before and newline following a delimiter \s+[:|;](\s+|\n)
  [else parses as before no spaces]

* vim syntax, book index markup, hilight delimeters

%% 5.0.14.orig.tar.xz (2013-08-28:34/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.14
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.14-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.14.orig.tar.xz
  sisu_5.0.14.orig.tar.xz
  sisu_5.0.14-1.dsc

* config files (by filetype & filename) touched

* manifest, output organised by, info, minor touch

* vim syntax, sisu.vim, fix typo
  * ocn (object numbering) on, off, text block using "--~#" "---#" "--+#"

* dal
  * grouped text with fontface spanning newlines, partial solution, test
  * text blocks, tuning

* pdf (latex) tables, bugfix

* odf:odt, footnotes, fix

%% 5.0.13.orig.tar.xz (2013-08-25:33/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.13
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.13-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.13.orig.tar.xz
  sisu_5.0.13.orig.tar.xz
  sisu_5.0.13-1.dsc

* dal, refine grouped text open and close using tics "```"
  [note use of "~~" considered but more problematic, (tics not used elsewhere)]

* dal, improve font face matching within grouped text (other than code blocks)

* vim syntax, improve grouped text match, open, close of blocks using tics "```"

* css, html, epub, adjust paragraph spacing, (increase, whitespace aesthetic,
  review further)

%% 5.0.12.orig.tar.xz (2013-08-21:33/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.12
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.12-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.12.orig.tar.xz
  sisu_5.0.12.orig.tar.xz
  sisu_5.0.12-1.dsc

* syntax add
  * switch ocn off and on for a block of content, line containing only
    off: "--~#" (omit headings where possible) "---#" on: "--+#"
  * alternative open and close for blocks using line starting with "```", e.g.
    open code block:  "``` code"
    close code block: "```"
    start poem:       "``` poem"
    end poem:         "```"
  * remove need for an empty line between opening & closing of a text block

* vim syntax, add
  * ocn (object numbering) on, off, text block using "--~#" "---#" "--+#"
  * grouped text, open, close of blocks using tics "```"

* messages to terminal
  * code marker
  * rescued error messages
  * fuchsia (sp.)

%% 5.0.11.orig.tar.xz (2013-08-08:31/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.11
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.11-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.11.orig.tar.xz
  sisu_5.0.11.orig.tar.xz
  sisu_5.0.11-1.dsc

* dal_expand_insertions, refinement for monolingual output

%% 5.0.10.orig.tar.xz (2013-08-08:31/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.10
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.10-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.10.orig.tar.xz
  sisu_5.0.10.orig.tar.xz
  sisu_5.0.10-1.dsc

* output structure by, multilingual, monolingual filenames tweak

%% 5.0.9.orig.tar.xz (2013-08-01:30/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.9
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.9-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.9.orig.tar.xz
  sisu_5.0.9.orig.tar.xz
  sisu_5.0.9-1.dsc

* output structure by :filename or :filetype, multilingual default, fix

* concordance, fix

%% 5.0.8.orig.tar.xz (2013-07-30:30/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.8
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.8-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.8.orig.tar.xz
  sisu_5.0.8.orig.tar.xz
  sisu_5.0.8-1.dsc

* output structure by, add monolingual alternative for :filetype or :filename
  * filename without language code, if document is in default language
  * set a default language, 'en' or as specified
  * set in rc file or from command line instruction
    * command line e.g.
      sisu -hv --monolingual --by-filename sisu_markup.sst
      sisu -3v --monolingual --by-filetype sisu_manual.ssm
    * sisurc.yml lingual: 'mono' | 'multi'
      lingual: 'mono'
  * note: output by :filetype is roughly equivalent to what monolingual output
    by :language would be
  * allow command line setting of default language using language code
    --default-language='en' --default-lang-en if used together with
    --monolingual and --by-filetype or --by-filename the selected default
    language document will not have a language code in the output filename
  * documentation

* cgi helper script, sample search form
  * single cgi form, (with different internal variables set for output types)
  * monolingual output search form option

%% 5.0.7.orig.tar.xz (2013-06-25:25/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.7
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.7-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.7.orig.tar.xz
  sisu_5.0.7.orig.tar.xz
  sisu_5.0.7-1.dsc

* "general code cleaning" fix

%% 5.0.6.orig.tar.xz (2013-06-25:25/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.6
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.6-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.6.orig.tar.xz
  sisu_5.0.6.orig.tar.xz
  sisu_5.0.6-1.dsc

* "general code cleaning" fix

%% 5.0.5.orig.tar.xz (2013-06-22:24/6)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.5
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.5-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.5.orig.tar.xz
  sisu_5.0.5.orig.tar.xz
  sisu_5.0.5-1.dsc

* vim
  * colorscheme def, mark current line
  * ftplugin sisu.vim, c-\ hard wrap lines to line width (moved from c-j)

* general code cleaning, propagate back to v4 after testing

%% 5.0.4.orig.tar.xz (2013-06-06:22/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.4
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.4-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.4.orig.tar.xz
  sisu_5.0.4.orig.tar.xz
  sisu_5.0.4-1.dsc

* db, population of database (--update), import of master files (.ssm), fix
  (Note: for .ssm: @md.fns (is set during runtime & is) != @opt.fns @md.opt.fns,
  affects construction of unique identifier)

* cgi helper script, sample search form generator
  * file name matching, check
  * cosmetic, drop use of images in sample form

* sysenv, requested load warning removed, less screen clutter, consider

%% 5.0.3.orig.tar.xz (2013-05-30:21/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.3
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.3.orig.tar.xz
  sisu_5.0.3.orig.tar.xz
  sisu_5.0.3-1.dsc

* sysenv, pgsql db connect fix

* cgi_pgsql, cgi helper script, sample search form generator, detail

%% 5.0.2.orig.tar.xz (2013-05-29:21/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.2
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.2.orig.tar.xz
  sisu_5.0.2.orig.tar.xz
  sisu_5.0.2-1.dsc

* help update, concentrate on man pages
  * documentation, manpage update
  * interactive help, out of date, removed

* document version check, disable
  * automatic check disabled
  * check and correction of pre 0.38 markup removed

* sysenv, version info moved here from help

* cgi helper script sample search form generator, adjust/improve, adds settings:
    db type                         --db-pq or db-sqlite
    webserver for cgi script & db   --webserv-search=''
    webserver for sisu ouptut files --webserv-output=''
    cgi search form link name       --cgi-search-form-name=''
    db user (pg)                    --db-user=''

%% 5.0.1.orig.tar.xz (2013-05-18:19/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.1
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.1.orig.tar.xz
  sisu_5.0.1.orig.tar.xz
  sisu_5.0.1-1.dsc

* vim, ftplugin, sisu.vim, statusline

* cgi script for sample search form generator, sqlite, minor fixes (affects
  'sisu -F')

%% 5.0.0.orig.tar.xz (2013-05-08:18/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_5.0.0
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_5.0.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_5.0.0.orig.tar.xz
  sisu_5.0.0.orig.tar.xz
  sisu_5.0.0-1.dsc

* v5: opened
  * v3 closed

v5 opened
